installation of jekyll failed - Windows

install jekyll
jekyll windows
error installing jekyll: error: failed to build gem native extension
bundle exec jekyll serve windows
install jekyll windows 7
gem jekyll windows
windows jekyll tutorial
install jekyll 4

I am trying to install jekyll on a 32 bit windows 7 PC . I downloaded ruby installer-32 bit and 32 bit devkit and extracted un ruby install folder.i got some ssh error which i resolved by temporarily switching to http instead of https and then updated gems as well as installed bundler using

 gem install bundler

however gem install jekyll gives following error

Temporarily enhancing PATH to include DevKit...
Building native extensions.  This could take a while...
ERROR:  Error installing jekyll:
ERROR: Failed to build gem native extension.

C:/Ruby21/bin/ruby.exe -r ./siteconf20150109-5804-1k3wbva.rb extconf.rb
No such file or directory - C:/Ruby21/bin/ruby.exe -r ./siteconf20150109-5804-1k
3wbva.rb extconf.rb 2>&1

Gem files will remain installed in C:/Ruby21/lib/ruby/gems/2.1.0/gems/fast-stemm
er-1.0.2 for inspection.
Results logged to C:/Ruby21/lib/ruby/gems/2.1.0/extensions/x86-mingw32/2.1.0/fas
t-stemmer-1.0.2/gem_make.out

You need to install the Ruby DevKit to fix the error you're seeing. Any sane Ruby install has the ability to build stuff on the fly.

I would start with Julian Thilo's awesome instructions for installing Jekyll on Windows:

Run Jekyll on Windows

If you are installing Ruby only for the purpose of running Jekyll, PortableJekyll will give you a full working Jekyll install in < 5 minutes.

Happy Jekylling...

Jekyll on Windows, RubyInstaller is a self-contained Windows-based installer that includes the Ruby the error "Your user account isn't allowed to install to the system RubyGems",� I downloaded then rubyinstaller-devkit-2.5.5-1-x64 version install with MSYS2 and issued the flowing. gem install bundler gem install jekyll This fixed it for me. I downgraded from Ruby+Devkit 2.6.5-1 (x64) to Ruby+Devkit 2.5.7-1 (x64) and then installing Jekyll worked using gem install jekyll bundler

I tried the same thing on 3 systems and found out that installing ruby gems fixed the issue .. so for anyone coming back at this question , this is how you install jekyll on a windows pc:

1.download and install ruby.

2.download devkit extract in to a folder(preferably inside ruby installation dir) and type in cmd window while in your devkit dir :

 ruby dk.rb init
 ruby dk.rb install

3.download and install gems by

 ruby setup.rb

4. finally :

 gem install bundler 
 gem install jekyll

*bundler is a jekyll dependency

Troubleshooting, Bundle install skipped." so i go back and write "gem install jekyll bundler" and i get: ERROR: Could not find a valid gem 'jekyll' (>= 0), here is� Installation via RubyInstaller RubyInstalleris a self-contained Windows-based installer that includes the Ruby language, an execution environment, important documentation, and more. Download and Install a package manager version from RubyInstaller Downloads. Install Jekyll and Bundler via a command prompt window: gem install jekyll bundler

I had the same issue on Windows 10 after installing Ruby+Devkit 2.5.X (x64) with the Windows installer.

The reason was that I changed the default path in the installer and had spaces in the path name. Apparently some make scripts do not like that.

Reinstalling to a path without any spaces fixed the issue.

Also see this related issue on github.

Cant instalt jekyll bundler - windows 10, Temporarily enhancing PATH for MSYS/MINGW Building native extensions. This could take a while ERROR: Error installing jekyll: ERROR:� To create a Jekyll website on the most popular OS (Windows) is difficult and more manual. I am taking this opportunity to show in this post in step by step how you can install Jekyll on Windows 10 computer. Disclaimer: Guides already available on official sources. The steps to install Jekyll on Windows 10 is already available on Official Source

I failed to install "gem install jekyll bundler" when ruby was installed in "c:\program files\Ruby26-x64". After I reinstalled ruby on c:\Ruby26-x64 everything went ok. Seems like installation fails to parse path with blank

[Install Windows] ERROR: Failed to build gem native extension , installed MSYS from the installer msys2-x86_64-20161025.exe; installed make from make-3.81.exe; ran gem install jekyll; got the following error. Running sudo apt-get install make solved the issue for me. Though I had problems with finding the right version of Jekyll (only sudo gem install jekyll -v '1.5.1' worked for my ruby 1.9.1 environment).

Error and pain installing on Win 10 � Issue #6911 � jekyll/jekyll � GitHub, Hello, Completely new to Jekyll, so apologies if this is a stupid question. After running gem install jekyll I get the following error message:� Before you start, make sure that Ruby and the DevKit are installed on your Windows machine. Also check the Jekyll version GitHub Pages is running. Currently that’s version 1.0.3. Open PowerShell (Windows Key + R and type powershell) and install Jekyll by running the command gem install jekyll -v 1.0.3.

Installing Jekyll: ERROR: Failed to build gem native extension , to your Gemfile https://techtun.es/sZo5OF. Xian • 1 year ago. After installing choco install ruby -y Duration: 3:57 Posted: Jun 20, 2020 Official guide to install Jekyll on macOS, GNU/Linux or Windows.

Install Jekyll on Windows, in win10 i get an error ERROR: Error installing jekyll: ERROR: Failed to build gem native Duration: 5:26 Posted: Sep 25, 2017 Execute it to start the installation, check the option ‘Add Ruby executables to your PATH’. After Ruby is installed, check the option ‘Run ‘ridk install’ to install MSYS2 and development toolchain.’ A new command windows will be opened. Select the first option ‘1 - MSYS2 base installation’.

Comments
  • Well, 32 bit machine. It's time to give a try to a Linux distribution like Ubuntu ! This will definitely save you a lot of time
  • I have devkit installed definitely. But gem install Jekyll fails... However portable Jekyll seems like good option..
  • I am a Java & perl developer.. And dabble in front end / python so yes not much interested in ruby
  • Re devkit -- I had to follow Thilo's instructions to the letter but eventually did get it working. There are specific versions you'll want for Windows.